org.apache.maven.scm.provider.tfs.command

## Class TfsEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.edit.AbstractEditCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsEditCommand

All Implemented Interfaces:
  Command

    public class TfsEditCommand
    extends AbstractEditCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TfsEditCommand()`

### Method Summary

Methods
`protected TfsCommand` `createCommand(ScmProviderRepository r, ScmFileSet f)`
`protected ScmResult` `executeEditCommand(ScmProviderRepository r, ScmFileSet f)`

### Methods inherited from class org.apache.maven.scm.command.edit.AbstractEditCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsEditCommand

    public TfsEditCommand()

### Method Detail

#### executeEditCommand

    protected ScmResult executeEditCommand(ScmProviderRepository r,
                               ScmFileSet f)
                                    throws ScmException

Specified by:
  `executeEditCommand` in class `AbstractEditCommand`
Throws:
  `ScmException`

#### createCommand

    protected TfsCommand createCommand(ScmProviderRepository r,
                           ScmFileSet f)